class ModifyCourseIntroductionForBoards < ActiveRecord::Migration[5.2]
  def change
    platform = PlatformSample.where(:samples_type => "courseGuide").first
    content = '大家好！

欢迎进入在线课堂！

该课堂对应于一个或多个线下班级，课堂成员可以利用老师发布的邀请码申请加入。

在这里，老师和教辅将结合教学内容，把不同类型的实训项目发布给大家，让大家在真实的实战环境中得到锻炼。

那么什么是实训项目呢？大家有空自己尝试一下就知道了：

- Python实训：[Python程序设计入门](https://www.educoder.net/paths/13)   |  [大学计算机基础——基于Python](https://www.educoder.net/paths/11)

- Java实训：[Java语言程序设计（基础篇）](https://www.educoder.net/paths/38)

- C/C++实训：[C/C++程序设计](https://www.educoder.net/paths/3)  |  [数据结构与算法（C语言）](https://www.educoder.net/paths/4)

- Matlab实训：[智取MATLAB：基本语法](https://www.educoder.net/shixuns/7bvs54gw/challenges)  |  [控制结构](https://www.educoder.net/shixuns/q4fowkfa/challenges)  |  [矩阵进阶](https://www.educoder.net/shixuns/grunzcs3/challenges)

- HTML/CSS实训：[HTML5+CSS3网页制作（基础篇）](https://www.educoder.net/paths/15)

- 云计算实训：[Docker企业级实训（基础篇）](https://www.educoder.net/paths/29)

... ... 等等

你们现在就可以去体验哦！

欢迎提出宝贵建议，平台一定会给您带来更多惊喜！


支持团队'
    platform.update_column(:contents, content)
    messages = Message.where(subject: "新课导语")
    messages.find_each do |m|
      m.update_column(:is_md, true)
      message_detail = m.message_detail
      message_detail.update_column(:content, content) if message_detail
    end
  end
end
